> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Workflow via Webhook

> Trigger a webhook-type workflow via its secret token.

The request body (JSON, if any) is passed as the trigger context.
Returns 404 if no matching enabled workflow is found for the token.



## OpenAPI

````yaml post /api/v1/workflow-webhooks/{token}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workflow-webhooks/{token}:
    post:
      tags:
        - workflows
        - Workflows
      summary: Workflow Webhook Trigger
      description: |-
        Trigger a webhook-type workflow via its secret token.

        The request body (JSON, if any) is passed as the trigger context.
        Returns 404 if no matching enabled workflow is found for the token.
      operationId: workflow_webhook_trigger_api_v1_workflow_webhooks__token__post
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            title: Token
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Workflow Webhook Trigger Api V1 Workflow Webhooks 
                  Token  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````